FORKED FROM https://github.com/ddelnano/packer-plugin-xenserver

The binary must be compiled before usage.
I remove the code to plug the guest-tools disk, to have a working Debian install. Tools are installed in the end of the installation (see preseed configuration)

# XCP-ng packer.io builder

This builder plugin extends packer.io to support building images for XCP-ng. 

This is a fork of the original builder since the original project was abandoned and no longer compilied with recent versions of Go or worked with Xenserver 7.6 and later.

It improves the original project in the following ways:
1. Developed alongside the [Xenorchestra terraform provider](https://github.com/ddelnano/terraform-provider-xenorchestra) to ensure the hashicorp ecosystem is interoperable.
2. Reimplements how the boot commands are sent over VNC to be compatible with later versions of Xenserver (Citrix hypervisor) and XCP

## Compile the plugin

Once you have installed Packer, you must compile this plugin and install the
resulting binary.

```shell
$ go build -o packer-plugin-xcp-ng

# Add the builder to the location packer expects it to be installed in
$ mkdir -p ~/.packer.d/plugins/
$ cp packer-plugin-xcp-ng  ~/.packer.d/plugins/packer-plugin-xcp-ng
```